GET /projects/{project_id}/storage/buckets/{bucket_id}
Console — Get a bucket
Galon console session: tenant from the session, project in the path verified as an active project of the tenant, project environment; admin role (a member receives 403 reserve_admin). Same control plane and same projection as the key-based route. Hidden surface: 404 not_found until the Galon Object opt-in is enabled.
Console session only (signed-in console).
Parameters
| Name | In | Type | Description |
|---|---|---|---|
project_id | path | string · required | |
bucket_id | path | string · required |
Responses
| Status | Description | Body |
|---|---|---|
200 | Bucket | StorageBucket |
401 | unauthorized (session missing, expired or revoked) | Error |
403 | reserve_admin (member) | Error |
404 | project_not_found, not_found (surface closed or tenant not admitted), storage_bucket_not_found, not_found | Error |
503 | storage_temporarily_unavailable | Error |
422 | project_id_invalid | Error |
Examples
curl
curl -X GET "$GALON_API_BASE/projects/<project_id>/storage/buckets/<bucket_id>" \
-H "Authorization: Bearer $GALON_API_KEY"